Get Card Image

This web service provides the card image based on public token provided and the card details specified in the call viz. PAN, CVV, expiry or image details.
Note : Encrypted Pan/image returned will be AES encrypted by client Processing key (CP-Key)

Body Params

-- This web service gets card image details (PAN, CVV, expiry or image details; based on public token provided.)
-- Response data is based on image_delivery input fields.
-- Provide token, image_name etc.

string
required
length between 1 and 40

Unique number that must be passed at each API request. Identifier to make each API request unique

int32
required
≥ 1

Unique identifier for the client which Paymentology will provide at outset

int32
required
1 to 5

How to deliver image back to client. Example :

  • 1==> Image in plain base64, encrypted pan, cvv, token, expiry, and emboss_name).
  • 2 ==> Image in byte encrypted, encrypted pan, cvv, token, expiry, and emboss_name.
  • 3 ==> Data details JSON (encrypted pan, cvv, token, expiry, and emboss_name but no image.
  • 4 ==> Image in byte encrypted, masked pan back, cvv, token, expiry, and emboss_name.
string
required
length between 5 and 5
^[0-1]{5}$

Show or hide pan, cvv, expiry, token, and emboss_name in response image. 1 means show and 0 means hide

PositionField
1pan
2cvv
3expiry
4emboss_name
5token

EG : 00111 (Hide pan and cvv but show expiry, token, and emboss_name).

string
required
length between 0 and 50
^[^<>'"/;,`%]*$

Image template name for the card to be generated. This field is case sensitive. card image has to be populated as configured in PayControl.

int64
required
≥ 1

Public token for the card.

string
required
length between 5 and 5
^[0-1]{5}$

Show or hide pan, cvv, expiry, token, and emboss_name in response json. 1 means show and 0 means hide

PositionField
1pan
2cvv. (This can be overrided from client level setting to show or hide cvv)
3expiry
4token
5emboss_name

EG : 00111 (Hide pan and cvv but show expiry, token, and emboss_name).

string
length between 0 and 50

User Id of the Customer who triggered the API request.

string
length between 0 and 200

Remarks for API request

Responses

404

Webservices does not exist

500

Internal Server error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json